Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
Pony on the Raspberry Pi v2

Instructions

The following instructions assume a debian jessie based distribution

0. Prerequisites

Install dependent tools and libraries

$ sudo apt-get update
$ sudo apt-get install libssl-dev automake autotools-dev

2. Install PCRE 2.8

$ cd
$ git clone git clone https://github.com/luvit/pcre2
$ cd pcre2
$ touch NEWS AUTHORS
$ autoreconf -i
$ ./configure
$ make
$ sudo make install

1. Install LLVM 3.6

$ wget http://llvm.org/releases/3.6.2/clang+llvm-3.6.2-armv7a-linux-gnueabihf.tar.xz
$ unxz clang+llvm-3.6.2-armv7a-linux-gnueabihf.tar.xz
$ tar tvf clang+llvm-3.6.2-armv7a-linux-gnueabihf.tar
$ cd clang+llvm-3.6.2-armv7a-linux-gnueabihf
$ export LD_LIBRARY_PATH=/path/to/clang+llvm-3.6.2-armv7a-linux-gnueabihf/lib

2. Build and install pony

$ cd
$ git clone http://github.com/CausalityLtd/ponyc
$ cd ponyc
$ make
$ make test
$ sudo make install

3. Test installation

Try running one of the examples

$ cd examples/httpget
$ ponyc
$ ./httpget http://www.google.com/
pi@horse ~/ponyc $ uname -a
Linux horse 4.1.6-v7+ #810 SMP PREEMPT Tue Aug 18 15:32:12 BST 2015 armv7l GNU/Linux
pi@horse ~/ponyc $ build/debug/ponyc -version
0.2.1-177-g6a9a13f
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.